
/**
 * mod_vmrotone_randomprod
 *
 * @version 1.2
 * @author Creative Pulse
 * @copyright Creative Pulse 2008-2009 - Soeren Eberhardt 2004-2005 - Mr PHP 2000-2004
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link http://www.creativepulse.eu
 */

function ModVmrotoneRandomprod(iname, wdg, w, interval, speed) {
	this.iname = iname;
	this.wdg = wdg;
	this.target_left = 0;
	this.w = w;
	this.max = 0;
	this.timer = 0;
	this.interval = interval;
	this.speed = speed;

	if (this.speed < 1)
		this.speed = 1;
	else if (this.speed > 100)
		this.speed = 100;

	this.speed /= 100;

	if (this.interval < 1)
		this.interval = 1;
}

ModVmrotoneRandomprod.prototype.set_max = function (val) {
	if (val > this.max)
		this.max = val;
}

ModVmrotoneRandomprod.prototype.move_to = function (i) {
	if (i < 1)
		i = 1;
	else if (i > this.max)
		i = this.max;

	this.target_left = (i - 1) * this.w;

	if (this.timer == 0 && this.wdg.scrollLeft != this.target_left)
		this.timer = setTimeout('document["' + this.iname + '"].h_timer()', this.interval);
}

ModVmrotoneRandomprod.prototype.h_timer = function () {
	if (this.timer > 0)
		this.timer = 0;

	if (this.wdg.scrollLeft != this.target_left) {
		var coeff = this.target_left > this.wdg.scrollLeft ? 1 : -1;
		this.wdg.scrollLeft += coeff * Math.ceil(Math.abs(this.target_left - this.wdg.scrollLeft) * this.speed);
	
		if (this.wdg.scrollLeft != this.target_left)
			this.timer = setTimeout('document["' + this.iname + '"].h_timer()', this.interval);
	}
}


function mod_vmrotone_randomprod_init() {
	var buttons = document.getElementsByTagName('button');
	var divs = document.getElementsByTagName('div');
	for (var i = 0, len = divs.length; i < len; i++)
		if (divs[i].className == 'mod_vmrotone_randomprod' && divs[i].id && divs[i].id != '') {
			// get instance number from last part of the wrapper id
			var e = divs[i].id.split('_'); // example id: mod_vmrotone_randomprod_X
			var inst_num = parseInt(e[e.length - 1]);
			if (inst_num > 0) {
				var conf = document['mod_vmrotone_randomprod_conf'] && document['mod_vmrotone_randomprod_conf']['inst_' + inst_num] ? document['mod_vmrotone_randomprod_conf']['inst_' + inst_num] : null;

				// find default item width
				var w = conf && conf.width > 0 ? conf.width : divs[i].offsetWidth;
				divs[i].style.overflow = 'hidden';
				divs[i].style.width = w + 'px';

				var interval = conf && conf.interval ? conf.interval : 20;
				var speed = conf && conf.speed ? conf.speed : 10;

				var iname = 'mod_vmrotone_randomprod_js_' + inst_num;
				document[iname] = new ModVmrotoneRandomprod(iname, divs[i], w, interval, speed);

				// apply default item width
				for (var k = 0; k < len; k++)
					if (divs[k].className == 'mod_vmrotone_item' && divs[k].id && divs[k].id != '') {
						var e = divs[k].id.split('_'); // example id: mod_vmrotone_randomprod_item_X_Y
						// find the items that belong to the current instance
						if (e.length >= 2 && parseInt(e[e.length - 2]) == inst_num) {
							divs[k].style.width = w + 'px';
							document[iname].set_max(parseInt(e[e.length - 1]));
						}
					}

				// bind buttons
				for (m = 0, len2 = buttons.length; m < len2; m++) {
					var direction = 0;
					if (!buttons[m].id)
						{ }
					else if (buttons[m].id.substr(0, 32) == 'mod_vmrotone_randomprod_btnprev_')
						direction = -1;
					else if (buttons[m].id.substr(0, 32) == 'mod_vmrotone_randomprod_btnnext_')
						direction = 1;

					if (direction != 0){
						var e = buttons[m].id.split('_'); // example id: mod_vmrotone_randomprod_btnprev_X_Y
						// find the items that belong to the current instance
						if (e.length >= 2 && parseInt(e[e.length - 2]) == inst_num) {
							buttons[m].setAttribute('d', direction);
							buttons[m].onfocus = function () {
								this.blur();
							}
							buttons[m].onclick = function () {
								var e = this.id.split('_');
								document['mod_vmrotone_randomprod_js_' + e[e.length - 2]].move_to(parseInt(e[e.length - 1]) + parseInt(this.getAttribute('d')));
							}
						}
					}
				}

				divs[i].style.visibility = 'visible';
			}
		}
}

if (window.addEventListener)
	window.addEventListener('load', mod_vmrotone_randomprod_init, false);
else if (window.attachEvent)
	window.attachEvent('onload', mod_vmrotone_randomprod_init);
