<?php

/**
 * Gadget - Joomla Template
 *
 * @package bt_gadget
 * @version 1.0
 * @copyright BonusThemes.com 2010
 * @link http://www.bonusthemes.com/goto/bt_gadget
 */


if (!class_exists('PhotoSpotViewerGadgetTopDisplay')) {
	class PhotoSpotViewerGadgetTopDisplay extends PhotoSpotViewerDisplay {

		function get_instance($create = false) {
			static $id;

			if ($create)
				$id = intval($id) + 1;

			return $id;
		}

		function json_esc($input, $esc_lt_gt = true) {
			$result = '';
			$input = (string) $input;
			$conv = array( "'" => "'", '"' => '"', '&' => '&', '\\' => '\\', "\n" => 'n', "\r" => 'r', "\t" => 't', "\b" => 'b', "\f" => 'f' );
		
			if ($esc_lt_gt)
				$conv = array_merge($conv, array( '<' => 'u003C', '>' => 'u003E' ));
		
			for ($i = 0, $len = strlen($input); $i < $len; $i++)
				$result .= isset($conv[$input{$i}]) ? '\\' . $conv[$input{$i}] : $input{$i};
		
			return $result;
		}

		function init() {
			return '';
		}

		function render($ds) {
			$inst = $GLOBALS['mod_gadget_top_instances'] = intval(@$GLOBALS['mod_gadget_top_instances']) + 1;

			echo '
<div id="mod_gadget_top_' . $inst . '" class="mod_gadget_top">
	<table cellspacing="0" cellpadding="0" width="100%">
		<tr>
			<td class="mod_gadget_top_back" width="1%" nowrap="nowrap"> &nbsp; &nbsp; </td>
			<td class="mod_gadget_top_back" valign="top">
';

			$idx = -1;
			foreach ($ds->items as $item) {
				$idx++;

				$image = '<img src="' . htmlspecialchars(!empty($item->thumb_url) ? $item->thumb_url : $item->img_url) . '" alt="" border="0" class="mod_gadget_top_img" />';

				if (!empty($item->link))
					$image = '<a href="' . $item->link . '">' . $image . '</a>';

				echo
'				<div id="mod_gadget_top_' . $inst . '_' . $idx . '_panel" class="mod_gadget_top_panel">
					' . $image . '
					' . (empty($item->title) ? '' : '<h3>' . htmlspecialchars($item->title) . '</h3>') . '
					' . (empty($item->description) ? '' : htmlspecialchars($item->description)) . '
				</div>
';
			}

			echo '
			</td>
			<td class="mod_gadget_top_back" width="1%" nowrap="nowrap"> &nbsp; &nbsp; </td>
			<td valign="top" width="156" height="131" class="mod_gadget_top_tr">
				<div class="mod_gadget_top_tr_l1"></div>
				<div class="mod_gadget_top_tr_l2"></div>
				<div class="mod_gadget_top_tr_l3"></div>
				<div id="mod_gadget_top_' . $inst . '_hfx" class="mod_gadget_top_hfx main_back"></div>
			</td>
		</tr>
	</table>
</div>
';

			if ($inst == 1) {
				$document =& JFactory::getDocument();
				$document->addScript('templates/bt_gadget/js/mod_top.js');
			}

			echo '
<script type="text/javascript">
// <![CDATA[
if (!document["mod_gadget_top_conf"])
	document["mod_gadget_top_conf"] = { }

document["mod_gadget_top_conf"]["inst_' . $inst . '"] = { interval: ' . intval($this->params->get('interval', 20)) . ', speed: ' . intval($this->params->get('speed', 10)) . ', countt: ' . count($ds->items) . ' };
// ]]>
</script>
';
		}

	}
}

$engine = new PhotoSpotViewerGadgetTopDisplay();

?>