<?php

/**
 * Gadget - Joomla Template
 *
 * @package bt_gadget
 * @version 1.0
 * @copyright BonusThemes.com 2010
 * @link http://www.bonusthemes.com/goto/bt_gadget
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

$style = '';
$date_format = '';
foreach (file(dirname(__FILE__) . '/../../../params.ini') as $line) {
	$e = explode('=', $line, 2);
	if (count($e) == 2) {
		$k = strtolower(trim($e[0]));
		if ($k == 'blogstyle')
			$style = trim($e[1]);
		else if ($k == 'date_format')
			$date_format = trim($e[1]);
	}
}
if ($date_format == '')
	$date_format = JText::_('DATE_FORMAT_LC2');

$canEdit = ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));

$sfx = $this->escape($this->params->get('pageclass_sfx'));


if ($this->params->get('show_page_title', 1) && $this->params->get('page_title') != $this->article->title)
	echo
'<div class="componentheading' . $sfx . '">
	' . $this->escape($this->params->get('page_title')) . '
</div>
';


// output header

$header_title = '';
if ($this->params->get('show_title')) {
	$header_title = $this->escape($this->article->title);

	$i = strpos($header_title, ' ');
	if ($i === false)
		$header_title = '<span class="mod_word">' . $header_title . '</span>';
	else
		$header_title = '<span class="mod_word">' . substr($header_title, 0, $i) . '</span>' . substr($header_title, $i);

	if ($this->params->get('link_titles') && $this->article->readmore_link != '')
		$header_title = '<a href="' . $this->article->readmore_link . '" class="contentpagetitle' . $sfx . '">' . $header_title . '</a>';
}


$elements = array();

if ($this->print) {
	$elements[] = JHTML::_('icon.print_screen', $this->article, $this->params, $this->access);
}
else {
	if ($this->params->get('show_pdf_icon'))
		$elements[] = JHTML::_('icon.pdf', $this->article, $this->params, $this->access);

	if ($this->params->get( 'show_print_icon'))
		$elements[] = JHTML::_('icon.print_popup', $this->article, $this->params, $this->access);

	if ($this->params->get('show_email_icon'))
		$elements[] = JHTML::_('icon.email', $this->article, $this->params, $this->access);

	if ($canEdit)
		$elements[] = JHTML::_('icon.edit', $this->article, $this->params, $this->access);
}

$elements = empty($elements) ? '' : implode(' &nbsp; ', $elements);


$header_exists = $header_title != '' || $elements != '';
if ($header_exists) {
	echo
'<div class="article_cnt_mc"><div class="article_cnt_l"><div class="article_cnt_r">
	<div class="article_cnt_tc"><div class="article_cnt_tlm"><div class="article_cnt_trm"><div class="article_cnt_tl"><div class="article_cnt_tr">
		<div class="article_cnt_t_gapu"></div>
		<table cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td width="12">&nbsp;</td>
';

	if ($header_title != '')
		echo
'				<td class="contentheading' . $sfx . '">
					' . $header_title . '
				</td>
';

	if ($elements != '')
		echo
'				<td nowrap="nowrap"> &nbsp; </td>
				<td class="buttonheading" align="right" valign="top" nowrap="nowrap">' . $elements . '</td>
';

	echo
'				<td width="15">&nbsp;</td>
			</tr>
		</table>
		<div class="article_cnt_t_gapd"></div>
	</div></div></div></div></div>
	<div class="article_cnt_t_edge"></div>
';
}
else {
	echo
'<div class="article_flat_mc"><div class="article_flat_l"><div class="article_flat_r">
	<div class="article_flat_tc"><div class="article_flat_tl"><div class="article_flat_tr"></div></div></div>
';
}


// output main body

echo
'	<div class="mstyle_tgap"></div>
	<div class="mstyle_inner">
';

if (!$this->params->get('show_intro'))
	echo $this->article->event->afterDisplayTitle;

echo $this->article->event->beforeDisplayContent;


// show section and category links

$elements = array();

if ($this->params->get('show_section') && $this->article->sectionid && isset($this->article->section)) {
	if ($this->params->get('link_section'))
		$elements[] = '<a href="' . JRoute::_(ContentHelperRoute::getSectionRoute($this->article->sectionid)) . '">' . $this->escape($this->article->section) . '</a>';
	else
		$elements[] = $this->escape($this->article->section);
}

if ($this->params->get('show_category') && $this->article->catid) {
	if ($this->params->get('link_category'))
		$elements[] = '<a href="' . JRoute::_(ContentHelperRoute::getCategoryRoute($this->article->catslug, $this->article->sectionid)) . '">' . $this->escape($this->article->category) . '</a>';
	else
		$elements[] = $this->escape($this->article->category);
}

if (!empty($elements))
	echo
'<div class="contentpaneopen' . $sfx . '">' . implode(' - ', $elements) . '</div>
';


// show urls

if ($this->params->get('show_url') && $this->article->urls)
	echo
'<div class="contentpaneopen' . $sfx . '">
	<a href="http://' . $this->escape($this->article->urls) . '" target="_blank">' . $this->escape($this->article->urls) . '</a>
</div>
';


// show toc

if (isset($this->article->toc))
	echo
'<div class="contentpaneopen' . $sfx . '">
	' . $this->article->toc . '
</div>
';


// show content

echo
'<div class="contentpaneopen' . $sfx . '">
';

if ($style == 'blog' && $this->params->get('show_create_date')) {
	list($day, $month, $year) = explode(' ', date('j F Y', strtotime($this->article->created)));
	echo
'	<div class="blogdate">
		<div class="month">' . JText::_($month . '_short') . '</div>
		<div class="day">' . $day . '</div>
		<div class="year">' . JText::_($year) . '</div>
	</div>
';
}

echo $this->article->text . '
	<div style="clear:both"></div>
</div><div id="bredcrumbs"><h2><a href="http://yaodessit.com" title="работа в одессе">работа в одессе</a></h2></div>
';


// close main body

echo
'	</div>
';


// output footer

$elements = array();

if (($this->params->get('show_author')) && ($this->article->author != ''))
	$elements[] = JText::sprintf('Written by', ($this->escape($this->article->created_by_alias) ? $this->escape($this->article->created_by_alias) : $this->escape($this->article->author)));

if ($style != 'blog' && $this->params->get('show_create_date'))
	$elements[] = '<span class="createdate">' . JHTML::_('date', $this->article->created, $date_format) . '</span>';

if (intval($this->article->modified) != 0 && $this->params->get('show_modify_date'))
	$elements[] = '<span class="modifydate">' . JText::sprintf('LAST_UPDATED2', JHTML::_('date', $this->article->modified, $date_format)) . '</span>';

if (empty($elements))
	echo
'<div style="clear:both"></div>
<div class="article_flat_bc"><div class="article_flat_bl"><div class="article_flat_br"></div></div></div>
';
else
	echo
'	<div class="mstyle_bgap"></div>
	<div class="article_cnt_b_edge"></div>
	<div class="article_cnt_bc"><div class="article_cnt_bl"><div class="article_cnt_br"><div class="mstyle_inner">
		<div class="article_cnt_b_gapu"></div>
		<div>' . implode(" &nbsp; | &nbsp; \n", $elements) . '</div>
		<div class="article_cnt_b_gapd"></div>
	</div></div></div></div>
';


// close wrapper

echo
'</div></div></div>
<span class="article_separator">&nbsp;</span>
' . $this->article->event->afterDisplayContent;

?>